/***************************************************************************
 *   Copyright (C) 2006 by Martin Strasser                                 *
 *   strasser  a t  cadmaniac  d o t  org                                  *
 *   Special thanks to Mario Boikov                                        *
 *   squeeze  a t  cadmaniac  d o t  org                                   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#ifndef KLAVRGCCCOMPILER_H
#define KLAVRGCCCOMPILER_H

#include <klcompilerinterface.h>
#include <qstringlist.h>

/**
This is the class which knows how to trigger the compilation of a c file with the avr-gcc.

	@author Martin Strasser <strasser@kontrollerlab.org>
*/
class KLAVRGCCCompiler : public KLCompilerInterface
{
public:
    KLAVRGCCCompiler( KLProject* project, KLProcessManager* processManager );

    ~KLAVRGCCCompiler();
    
    virtual void compile( KLDocument* what );
    virtual void buildAll( bool forceRebuild = false );
    virtual void shellProcessExitedWith( int exitVal,
                                         const QString& stdout,
                                         const QString& stderr );
    
protected:
    QString getCompileCommandFor( const KURL& file );
    QString getLinkerCommand();
    QString getObjCopyCommand();
    QStringList m_cmdSchedule;
};

#endif
