/***************************************************************************
 *   Copyright (C) 2006 by Martin Strasser                                 *
 *   strasser  a t  cadmaniac  d o t  org                                  *
 *   Special thanks to Mario Boikov                                        *
 *   squeeze  a t  cadmaniac  d o t  org                                   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#include "klcpufuses.h"
#include <klocale.h>


KLCPUFuses::KLCPUFuses()
{
    QStringList empty;
    empty << i18n("Bit 0") << i18n("Bit 1") << i18n("Bit 2") << i18n("Bit 3")
          << i18n("Bit 4") << i18n("Bit 5") << i18n("Bit 6") << i18n("Bit 7");
    m_lowNames = m_highNames = m_extNames = QStringList( empty );

    QValueList<bool> empty2;
    empty2 << true << true << true << true
           << true << true << true << true;
    m_lowCanBeChanged = m_highCanBeChanged = m_extCanBeChanged = empty2;
}


KLCPUFuses::~KLCPUFuses()
{
}

KLCPUFuses::KLCPUFuses( const QString & mcuName,
                        QValueList< bool > lowCanBeChanged,
                        QValueList< bool > highCanBeChanged,
                        QValueList< bool > extCanBeChanged,
                        QStringList lowNames,
                        QStringList highNames,
                        QStringList extNames )
{
    m_lowNames = lowNames;
    m_highNames = highNames;
    m_extNames = extNames;
    m_lowCanBeChanged = lowCanBeChanged;
    m_highCanBeChanged = highCanBeChanged;
    m_extCanBeChanged = extCanBeChanged;
    m_mcuName = mcuName;
}


