/***************************************************************************
 *   Copyright (C) 2006 by Mario Boikov and Martin Strasser                *
 *   squeeze  a t  cadmaniac  d o t  org                                   *
 *   strasser  a t  cadmaniac  d o t  org                                  *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#ifndef KLSERIALTERMINALWIDGET_H
#define KLSERIALTERMINALWIDGET_H

#include "klserialterminalwidgetbase.h"
#include "klserialport.h"

class KLSerialPortListener;
class KontrollerLab;



class KLSerialTerminalWidget: public KLSerialTerminalWidgetBase {
Q_OBJECT
public:
    KLSerialTerminalWidget(KontrollerLab *parent = 0, const char *name = 0);
public slots:
    virtual void slotShowAsHEX(bool);
    virtual void slotShowAsAscii(bool);
    virtual void slotSend();

    virtual void slotReceived( const QString& what );
    virtual void slotOpenClose();
    virtual void slotClearReceiver();
protected:
    virtual void paintEvent( QPaintEvent* ev );
    
    static QString asciiToHEX( const QString& inp );
    
    KLSerialPort* m_serialPort;
    QMap<QString, int> m_baudConsts;
    KontrollerLab *m_parent;
    KLSerialPortListener *m_listener;
    QString m_receiveBuffer;
    bool m_displayIsHEX;
};

#endif
